/**********************************************************************
* File: F28035_example.h
* Device: TMS320F28035
* Author: David M. Alter, Texas Instruments Inc.
* Description: Include file for example project.  Include this file in
*   all C-source files.
* Notes:
*   1) The following constants may be defined in the CCS project build
*      options:
*        EXAMPLE_NONBIOS
*        EXAMPLE_BIOS5
*        EXAMPLE_FLASH
*        EXAMPLE_RAM
* History:
*   05/04/09 - original (D. Alter)
**********************************************************************/

#ifndef F28035_EXAMPLE_H
#define F28035_EXAMPLE_H


//---------------------------------------------------------------------------
// Constant Definitions
//



//---------------------------------------------------------------------------
// Include Standard C Language Header Files
//
#include <string.h>


//---------------------------------------------------------------------------
// Include any other Header Files
//
#include "DSP2803x_Device.h"				// Peripheral address definitions

#ifdef EXAMPLE_NONBIOS
	#include "DSP2803x_DefaultIsr.h"		// ISR definitions
#endif


//---------------------------------------------------------------------------
// Function Prototypes
//
extern void DelayUs(Uint16);
extern void I2cInit(void);
extern void I2cTx(void);
extern void I2cWait(void);
extern void InitGpio(void);
extern void InitPieCtrl(void);
extern void InitSysCtrl(void);
extern void InitWatchdog(void);
extern void SetDBGIER(Uint16);


//---------------------------------------------------------------------------
// Global Variable References
//
extern const struct PIE_VECT_TABLE PieVectTableInit;	// Pie vector table (non-BIOS only)


//---------------------------------------------------------------------------
// Macros
//
#define Device_cal_func_ptr (void (*)(void))0x3D7C80


//---------------------------------------------------------------------------
#endif  // end of F28035_EXAMPLE_H definition


//--- end of file -----------------------------------------------------
